Skip to main content
GET
List a run's tasks

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

run_id
string<uuid>
required

ID of the run record.

Response

Successful Response

A run's kept tasks, and whether it can be restarted at one.

run_id
string<uuid>
required

The run these tasks belong to.

replayable
boolean
required

Whether this run can be restarted at a task: a custom crew with at least one kept task.

reason
string | null

Why it cannot be restarted, when it cannot.

parent_run_id
string<uuid> | null

The run this one replayed, if any.

replayed_from_task
integer | null

The task index this run started at, if a replay.

tasks
CrewRunTaskResponse · object[]

The tasks, in the order they ran.